Compatibility Error with Dynamics 365 9 .1 and the Field Service Mobile App

Recently we have been working through upgrades to Dynamics 365 CE version 9.1 and implementing brand new instance on the latest build, in doing so we found an interesting quirk with the Field Service mobile app…

If the client uses a the Field Service Mobile (2017) app then connecting to Dynamics 365 CE version 9.1 or synchronizing changes is impossible, the app itself will display an error when connecting to your instance;

fs2017error

So basically the app displays the following error message to all users;

“We can’t synchronize your changes because this version of the Field Service Mobile(2017) app isn’t compatible with your Dynamics 365 solution. Please Contact your administrator”

We were using the Microsoft field service solution – version 8.2.086. So the OS and Application information was as follows;

  • Microsoft Dynamics 365 9.1 (online)
  • Field Service 8.2.0.286
  • Field Service Mobile 9.1.224.0

At the time there was no fix out there, but thanks to Microsoft Support we found there was a compatibility issue with the app and the Field Service project template. We had a file drop to fix this, but now the updates are in general availability.

You can find the links to download the app update for your OS here; https://docs.microsoft.com/en-us/dynamics365/customer-engagement/field-service/field-service-mobile-app-user-guide

and the mobile project update here; https://aka.ms/fsmobile-project

Once they were up to date we were back in business and we were able to re-sync;

fs2017

Warining: The updated may not yet be supported for On Prem, so if you have issue there please speak to your friendly neighbourhood MS Partner or contact Microsoft Support.

Best of luck and happy CRM’ing.

Advertisements